Public Member Functions | Data Fields

# StationViewWindow::RowDisplay Struct Reference

A row being displayed in the cargo view (as opposed to being "hidden" behind a plus sign). More...

## Public Member Functions
| RowDisplay (CargoDataEntry *f, StationID n)
| RowDisplay (CargoDataEntry *f, CargoID n)
## Data Fields
CargoDataEntry * | filter
| Parent of the cargo entry belonging to the row.
union {
StationID next_station
| ID of the station belonging to the entry actually displayed if it's to/from/via.
CargoID next_cargo
| ID of the cargo belonging to the entry actually displayed if it's cargo.
}; |

## Detailed Description

A row being displayed in the cargo view (as opposed to being "hidden" behind a plus sign).

Definition at line 1003 of file station_gui.cpp.

The documentation for this struct was generated from the following file:

- src/station_gui.cpp